<?php
/**
 * Template Pointers
 * 
 * Access original fields: $args['mod_settings']
 * @author Themify
 */

defined( 'ABSPATH' ) || exit;

$mod_name = $args['mod_name'];
$element_id = $args['module_ID'];
$blob_default = array(
	'title' => '',
	'type' => 'icon',
	'direction' => 'bottom',
	'pointer_color' => '',
	'tooltip_background' => '',
	'tooltip_color' => '',
	'left' => '',
	'top' => '',
	'link' => '',
	'icon'=>'',
	'image_w'=>'',
	'image_h'=>'',
	'auto_visible' => 'no',
);

$fields_args = $args['mod_settings']+array(
	'mod_title' => '',
	'image_url' => '',
	'blobs_showcase' => array(),
	'title_image' => '',
	'image_width' => '',
	'image_height' => '',
	'css_class' => '',
	'animation_effect' => ''
);
$container_class = apply_filters('themify_builder_module_classes', array(
	'module', 'module-' . $mod_name, $element_id, $fields_args['css_class'], 'tf_textc',
	), $mod_name, $element_id, $fields_args);
if (!empty($fields_args['global_styles']) && Themify_Builder::$frontedit_active === false) {
	$container_class[] = $fields_args['global_styles'];
}
$container_props = apply_filters('themify_builder_module_container_props', self::parse_animation_effect($fields_args, array(
		'id' => $element_id,
		'class' => implode(' ', $container_class),
	)), $fields_args, $mod_name, $element_id);
if (Themify_Builder::$frontedit_active === false) {
	$container_props['data-lazy'] = 1;
}
?>
<!-- module pointers -->
<div <?php echo self::get_element_attributes(self::sticky_element_props($container_props, $fields_args)); ?>>
	<?php
	$container_props = $container_class = $args = null;
	if (method_exists('Themify_Builder_Component_Module', 'get_module_title')) {
		echo Themify_Builder_Component_Module::get_module_title($fields_args, 'mod_title');
	} elseif ($fields_args['mod_title'] !== '') {
		echo $fields_args['before_title'], apply_filters('themify_builder_module_title', $fields_args['mod_title'], $fields_args), $fields_args['after_title'];
	}
	do_action('themify_builder_before_template_content_render');
	?>

    <div class="showcase-image tf_inline_b tf_rel tf_mw">
		<?php
		echo themify_get_image(array(
			'src' => $fields_args['image_url'],
			'w' => $fields_args['image_width'],
			'h' => $fields_args['image_height'],
			'alt' => $fields_args['title_image']
		));
		$styles='';
		foreach ($fields_args['blobs_showcase'] as $key => $blob) :
			$blob+= $blob_default;
			if ($blob['left'] === '') {
				continue;
			}
			$type = $blob['type'];
			if(empty($blob['icon'])){
				$blob['icon']='ti-plus';
			}
			$pointer_color = '' !== $blob['pointer_color'] ? 'background-color:' . Themify_Builder_Stylesheet::get_rgba_color($blob['pointer_color']) . ';' : '';
			$style = '' !== $blob['tooltip_background'] ? 'background-color:' . Themify_Builder_Stylesheet::get_rgba_color($blob['tooltip_background']) . ';' : '';
			$style .= '' !== $blob['tooltip_color'] ? 'color:' . Themify_Builder_Stylesheet::get_rgba_color($blob['tooltip_color']) . ';' : '';
			$k = '';
			if ('' !== $style):
				$k = $element_id . '-' . $key;
				$styles.= '.' . $k . ' .tb-blob-tooltip{'.$style.'}';
				$styles.=$k.' .tb-blob-tooltip:after{border-'.$blob['direction'].'-color:'.Themify_Builder_Stylesheet::get_rgba_color($blob['tooltip_background']).'}';
				?>
			<?php endif; ?>


			<div class="tb-blob tb-blob-<?php echo $blob['direction'], ' ', $k; ?> tf_abs_t" style="top:<?php echo $blob['top']; ?>%;left:<?php echo $blob['left']; ?>%">

				<?php if ('' != $blob['link']) : ?>
					<a href="<?php echo $blob['link']; ?>"
					   <?php if (isset($blob['open']) && $blob['open'] === 'lightbox'): ?> class="themify_lightbox"
					   <?php elseif (isset($blob['open']) && $blob['open'] === 'blank'): ?> target="_blank"<?php endif; ?> 
					   >
					   <?php endif; ?>

					<?php
					$style = $pointer_color !== '' ? $pointer_color : '';
					if ($type === 'image') {
						if (!empty($blob['image_w'])) {
							$style .= 'width:' . $blob['image_w'] . 'px;';
						}
						if (!empty($blob['image_h'])) {
							$style .= 'height:' . $blob['image_h'] . 'px';
						}
					}
					?>
					<span class="tb_blob_wrap tf_rel tf_block<?php echo $type === 'invis' ? ' tf_opacity' : '' ?>"<?php if ($style !== '') : ?> style="<?php echo $style; ?>"<?php endif; ?> tabindex="0">
						<span class="tb_blob_icon tf_textc tf_abs_t tf_box tf_w tf_h">
							<?php
							if ($type === 'image' && !empty($blob['image'])){
								echo themify_get_image([
									'src' => $blob['image'],
									'w' => $blob['image_w'],
									'h' => $blob['image_h'],
									'alt' => wp_trim_words($blob['title']),
								]);
							}
							elseif ($type === 'icon' && !empty($blob['icon'])){
								echo themify_get_icon($blob['icon']);
							}
							?>
						</span>
						<?php if ($type !== 'invis') : ?><span class="tb_blob_pulse"<?php if ($pointer_color !== '' && $type !== 'image'): ?> style="<?php echo $pointer_color; ?>"<?php endif; ?>></span><?php endif; ?>
					</span>

					<?php if ('' !== $blob['link']) : ?></a><?php endif; ?>

				<?php if ('' !== $blob['title']) : ?>
					<div class="tb-blob-tooltip<?php if ($blob['auto_visible'] !== 'yes'): ?> tf_opacity tf_hidden<?php endif; ?>" role="tooltip"><?php echo apply_filters('themify_builder_module_content', $blob['title']); ?></div>
					 <?php endif; ?>
			</div>


		<?php endforeach; ?>
    </div>
	<?php
	if($styles!==''){
		echo '<style>',$styles,'</style>';
	}
	$blob_default = $fields_args = $styles=null;
	do_action('themify_builder_after_template_content_render');
	?>
</div>
<!-- /module pointers -->
